Bug 11008 - headers in postgresql-devel have wrong includes
Summary: headers in postgresql-devel have wrong includes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-23 21:07 UTC by rbossert
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 14:18:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rbossert 2000-04-23 21:07:47 UTC
The header files in the postgresql-devel include the other headers in the
postgresql development using
	#include "libpq++/foo.h"
instead of
	#include <libpq++/foo.h>.
This causes problems when trying to compile programs that use the
postgresql header files.

Comment 1 Trond Eivind Glomsrxd 2000-04-24 19:19:59 UTC
Do you have any specific files in mind?

Comment 2 Trond Eivind Glomsrxd 2000-06-06 20:05:07 UTC
Should be fixed in the latest RPM (7.0.2-2), I hope.


Note You need to log in before you can comment on or make changes to this bug.